Requirements

This section lists the requirements for the applications and utilities you need to install and maintain the Jamf Software Server (JSS), and Jamf Distribution Server (JDS) instances.

Jamf Software Server

You can host the JSS on any server that meets the following requirements:

  • Java 1.7 or Java 1.8 (Java 1.8 is recommended)

  • MySQL 5.6.x or 5.7.x (MySQL 5.7.x is recommended)

  • Apache Tomcat 7 or 8.0.x (Tomcat 8.0.x is recommended)

Tested Windows operating systems include:

  • Windows Server 2012 R2

  • Windows Server 2016

Although you can install the JSS on any server that meets the minimum requirements, the JSS Installer for Windows has additional requirements. (For more information, see the next section.)

Tested browsers for the JSS are as follows:

  • Safari

  • Mozilla Firefox

  • Google Chrome

  • Microsoft Internet Explorer 10 or later

JSS Installer for Windows

The JSS Installer for Windows requires the following:

  • Minimum operating systems:

    • Windows 2008 Server R2 (64-bit)

    • Windows Server 2012 (64-bit)

  • Recommended operating systems:

    • Windows Server 2012 R2 (64-bit)

    • Windows Server 2016 (64-bit)

In addition, you need the following:

JSS Database Utility

The JSS Database Utility requires a server with MySQL 5.6.x or 5.7.x (MySQL 5.7.x is recommended) installed.

JDS Installer for Mac

The JDS Installer for Mac requires a computer with:

JDS Installer for Linux

The JDS Installer for Linux requires a computer with:

  • An Intel processor

  • 2 GB of RAM

  • 100 GB of disk space available

  • One of the following operating systems:

    • Ubuntu 10.04 LTS Server

    • Ubuntu 12.04 LTS Server

    • Red Hat Enterprise Linux (RHEL) 6.4, 6.5, 6.6, or 7.0
      Note: To install a JDS instance on a Linux operating system that is running on a virtual machine, you need a virtualization platform that provides SMBIOS information.

Copyright | Privacy | Terms of Use | Security
© copyright 2002-2017 Jamf. All rights reserved.